## quickly 0.2.6

=== debian/changelog ===
quickly (0.2.6) karmic; urgency=low

  * New release:
   + ubuntu-project Template:
     - Fix desktop.in file not installed due to new python-distutils-extra
     policy (LP: #460355)
   + common:
     - Remove outdated information in README

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Oct 2009 16:40:13 +0100

quickly (0.2.5) karmic; urgency=low

  * New release:
   + Quickly Core:
     - deactivate option validity checking so that templates can have their
       own options. Discuss at UDS how to shape a better solution
   +  ubuntu-project Template:
     - Fixed some some errors and oversites in the tutorial

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 24 Oct 2009 16:15:12 +0200

quickly (0.2.4) karmic; urgency=low

  * New release:
   + Quickly Core:
     - add comment regarding why certain characters are not allowed
       and remove any whitespace around project name (Mike Pontillo)
     - Fixed a bad project name variable in a function comment and a typo in
       the tutorial (Sense Hofstede)
     - Enable quickly running without an existing data path (LP: #447089)
     - Some refactoring on error handling with incorrect template path
   + ubuntu-project Template:
     - Fix share unicode issue when localized (LP: #444070)
     - quickly dialog needs input validation (LP: #442446)
     - Fix wrong link in tutorial (LP: #446310) (Johannes Mockenhaupt)
     - Added <p></p> paragraph where missing, adjust link to no point directly
       to rick's personal folder, removed stray, 'd' and 'su' on the second
       page of the dialog, changed couchgrid initialization should follow
       new way of doing it, change copyright file in tutorial to us '(C)',
       change packaging tutorial from svg to png (LP: #439111)
     - Focus is on the main window file when executing quickly glad (fix
       regression when project name has some capital letters)
   + common:
     - update translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Oct 2009 19:48:17 +0200

quickly (0.2.3) karmic; urgency=low

  * New release:
   + Quickly Core:
    - Fix tutorial command not shown outside a project
      (previously overwriten because of = instead of extend())
    - Bump requirement on distutilsextra to 2.10 to use desktopcouch bug
      fixing
   + ubuntu-project Template:
    - Launch gedit in background, keep default for others (LP: #425305)
    - Focus is on the main window file when executing quickly glade
    - Add Launchpad display name to DEBEMAIL
   + common:
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 14 Sep 2009 17:54:39 +0200

quickly (0.2.2) karmic; urgency=low

  * New release:
   + Quickly Core:
    - Fix wrong release handling when not a number (LP: #424581)
    - Forbide bin and data as a project name (LP: #424635)

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 05 Sep 2009 15:58:22 +0200

quickly (0.2.1) karmic; urgency=low

  * New release:
   This is mostely a fix release, but we still have few must-have
   minor features so that people can easily begin to develop templates
   + Quickly Core:
    - Reshape variables in commandsconfig template file (LP: #421858)
    - Reshape command attributes for builtin commands
    - quickly without parameter now prints help
    - move some functions from ubuntu-project template to templatetools
      Quickly module to make them available to all templates
      (handle_additional_parameters, quickly_name, apply_file_rights,
      in_verbose_mode)
    - add missing quotes around new version number format [Ken VanDine]
   + ubuntu-project template:
    - quickly release and share should not start if there are no pgp keys
      available (LP: #419407)
    - Typo in preferences code for ubuntu-project template (LP: #421642)
    - preferences code stores record type rather than _id (LP: #421644)
    - Adapt new commandsconfig format
    - quickly edit fails if EDITOR=vim (support now interactive command)
      (LP: #418351)
    - quickly edit supports now sensible-editor choice
    - created application does not suport standard command line options
      (LP: #418355)
    - Quickly licence should create an AUTHORS file (LP: #424489)
    - ubuntu-project main python file code has stray, strange line of code
      (LP: #421653)
    - Typo in error message of $ quickly tutorial (LP: #422212), patch from
      [Niall Jackson] (LP: #422212)
    - Typo in the index page of the tutorial of ubuntu-project template
      [Niall Jackson] (LP: #422209)
    - Destroy the dialogs outright instead of merely hideing them since we
      always create new ones when the event is fired [John C Barstow]
    - ubuntu-project main python module commented code uses wrong naming
      convention for preferences dialog (LP: #421648)
    - Some output messages correction
   + common:
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 04 Sep 2009 20:33:20 +0200

quickly (0.2) karmic; urgency=low

  * New upstream release. Most noticeable features/fixes are:
    - ubuntu-project should depend on cdbs and debhelper (LP: #408884)
    - Preferences should use client records API (LP: #402241)
    - Tutorial should use CouchWidget (LP: #402244)
    - quickly license should infer contact and name info from setup.py
      (LP: #402664)
    - quickly needs a command to list all commands (LP: #412900)
    - quickly can now handle special command very easily, reading from
      some configuration file which can be launched outside or inside a
      project, which have to be followed by a template…
      All of this also update automatically shell-completion behavior
    - "quickly help [command]" is needed (LP: #412902)
    - ubuntu-projects can be created with unpackagable names (LP: #414218)
    - quickly package doesn't have to sign packages (LP: #408992)
    - quickly needs a proper command class (LP: #411126)
    - shell-completion must call the script with a shell-completion parameter
      (LP: #412903)

