=== debian/control ===
Source: quickly
Section: devel
Priority: extra
Build-Depends: cdbs (>= 0.4.43),
 debhelper (>= 6),
 python,
 python-central (>= 0.6.11),
 python-distutils-extra (>= 2.10)
Maintainer: Quickly Developer Team <quickly@lists.launchpad.net>
Standards-Version: 3.8.2
XS-Python-Version: current

Package: quickly
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends}
Recommends: quickly-ubuntu-template | quickly-template,
            python-launchpadlib,
            bzr
Description: build new apps quickly
 Quickly enables for prospective programmers a way to easily build new
 apps or contents based on templates and other systems for helping them
 write their code in a guided manner.

Package: quickly-ubuntu-template
Architecture: all
Provides: quickly-template
Depends: ${misc:Depends},
         ${python:Depends},
         cdbs (>= 0.4.43),
         debhelper (>= 6),
         dpkg-dev,
         python-gtk2,
         glade,
         python-desktopcouch-records (>= 0.3),
         python-launchpadlib,
         dput,
         bzr,
         python-distutils-extra (>= 2.10)
Description: quickly Ubuntu projects template
 Quickly enables for prospective programmers a way to easily build new
 apps or contents.
 .
 This package provides templates to create easily new projects for
 Ubuntu using glade, pygtk and couchdb. This also includes packaging,
 proper licencing and deploying code.
