## quickly 11.10

=== debian/changelog ===
quickly (11.10-0ubuntu4) oneiric; urgency=low

  * run_new_glade_gtk2.patch:
    - run the new gtk2 glade version
  * debian/control:
    - dep on glade-gtk2

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 Oct 2011 12:59:54 +0200

quickly (11.10-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - Add python-launchpad-integration to Depends list because the
      'package' command will warn user not to continue if it isn't
      installed.  LP: #862387
  * debian/patches/fix-cli-upgrade.patch:
    - Don't raise an exception if the project_lib/Builder.py file isn't
      present when running 'upgrade'.  It may not exist for valid reasons
      such as being an ubuntu-cli project.  LP: #863483

 -- Michael Terry <mterry@ubuntu.com>  Mon, 03 Oct 2011 14:09:36 -0400

quickly (11.10-0ubuntu2) oneiric; urgency=low

  * debian/control
    - python-quickly-common must conflict with older -core package so that
      the latter is removed before the newer -common is installed.
      Otherwise, the __init__.py file gets removed on distro upgrades,
      breaking package imports.  The conflict forces apt to remove the old
      -core before adding the new -common, providing the __init__.py back
      again.  Suggested by Jakub Wilk.  (LP: #850744)
    - Update Standards-Version.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 30 Sep 2011 18:25:09 -0400

quickly (11.10-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Allow upgrading from mixed PyGI/PyGObject to just PyGObject

 -- Michael Terry <mterry@ubuntu.com>  Mon, 26 Sep 2011 09:21:58 -0400

quickly (11.09-0ubuntu1) oneiric; urgency=low

  * New upstream release
    + ubuntu-application:
      - add: Make indicator code set its icon to the project icon (Tony
        Byrne)
      - design: Call new 'glade' executable, not 'glade-3' (Paolo
        Sammicheli)
      - upgrade: Better detection for whether to use new /opt code (Tony
        Byrne)
      - Fix some mistakes in the tutorial (LP: #822972)
      - Don't mix PyGI and PyGObject calls in project code (LP: #840408)
    + common:
      - A lot of string cleanup and translation fixes (Paolo Sammicheli)
      - Updated translations
  * Update packaging to dh8, source format 3.0, and dh_python2

 -- Michael Terry <mterry@ubuntu.com>  Mon, 12 Sep 2011 15:54:47 -0400

quickly (11.06-0ubuntu1) oneiric; urgency=low

  * New upstream release
    + ubuntu-application:
      - add: Support adding files from derived templates (Tony Byrne)
      - edit: Correctly open bin/project-name wrapper on Ubuntu 10.10-era
        projects (LP: #770294)
      - package: Work with Ubuntu 11.10's version of python-mkdebian
    + ubuntu-cli:
      - package: Avoid creating bogus .deb files by properly quoting paths
        (LP: #790011)
    + common:
      - Fix typo in man page (LP: #803258)
      - Updated translations
  * debian/patches/edit-10.10-wrapper-scripts.patch:
    - Dropped, included upstream
  * Stop shipping ubuntudevbar.py, as it is broken atm and is not very
    mature once it is running

 -- Michael Terry <mterry@ubuntu.com>  Wed, 06 Jul 2011 14:56:49 -0400

quickly (11.04-0ubuntu1.1) natty-proposed; urgency=low

  * debian/patches/edit-10.10-wrapper-scripts.patch:
    - Patch from upstream to make sure that 10.10-era projects have their
      wrapper script opened by 'quickly edit' (LP: #770294)
  * debian/control, debian/rules:
    - Add quilt patch system

 -- Michael Terry <mterry@ubuntu.com>  Wed, 27 Apr 2011 11:35:27 -0400

quickly (11.04-0ubuntu1) natty; urgency=low

  * New upstream release
    + ubuntu-application-template:
      - Separated user-modifiable code from quickly-owned code by adding new
        *_lib module in new projects that contains quickly-maintained code
      - Support self.ui['my widget'] widget access
      - Refresh tutorial for Ubuntu 11.04 with new screenshots and more editing
    + ubuntu-application-template and derivatives:
      - Add 'quickly test' command that will run unit tests on your code; some
        sample tests are included
    + ubuntu-pygame-template:
      - Add hiscores support by Alejandro J. Cura
    + common:
      - Fixed LP login support to work with latest liblaunchpad
      - Updated translations
  * debian/control:
    - Depend on python-nose for template unit tests
    - Update required version of python-launchpadlib

 -- Michael Terry <mterry@ubuntu.com>  Mon, 04 Apr 2011 11:32:15 -0400

quickly (11.03.1-0ubuntu2) natty; urgency=low

  * debian/control:
    - Depend on full desktopcouch, as we were missing one of the python
      packages earlier.  LP: #708114
    - Update recommends from python-quickly-widgets to new name
      python-quickly.widgets

 -- Michael Terry <mterry@ubuntu.com>  Wed, 09 Feb 2011 08:55:02 -0500

quickly (11.03.1-0ubuntu1) natty; urgency=low

  * New upstream release
    + ubuntu-application-template:
      - Use one scalable application icon, instead of 3 differently sized ones
    + ubuntu-application-template and derivatives:
      - Support writing metadata required by the Application Review Board when
        packaging (can enable with 'submitubuntu' or 'package --extras')
      - Add yelp to dependencies if your application uses ghelp: URLs
      - Some minor cleanups
    + ubuntu-flash-game-template:
      - First release of a flash game template by Stuart Langridge
  * debian/watch:
    - Add watch file
  * debian/control, debian/rules, debian/compat:
    - Update to dh8 and dh_python2

 -- Michael Terry <mterry@ubuntu.com>  Thu, 03 Feb 2011 10:37:13 -0500

quickly (11.03-0ubuntu1) natty; urgency=low

  * New upstream release
    + ubuntu-application-template:
      - tutorial command reference 4.4 glade should be design (Tony Byrne)
        LP: #661699
      - refresh the branding to the new ubuntu brand (Daniel Fore)
        (LP: #666557)
      - Support self.ui.label1 syntax
      - Support auto-connection of signal handlers named widget_signal_event()

