=== debian/control ===
Source: quickly
Section: devel
Priority: extra
Build-Depends: debhelper (>= 8),
               python (>= 2.6.6-3~),
               python-distutils-extra (>= 2.18),
               gnome-doc-utils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.2
X-Python-Version: >= 2.6

Package: quickly
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-quickly-core
Breaks: quickly-ubuntu-template (<< 0.5)
Recommends: quickly-ubuntu-template | quickly-template,
Description: build new apps quickly
 Quickly enables for prospective programmers a way to easily build new
 apps or contents based on templates and other systems for helping them
 write their code in a guided manner.
 .
 This package contains the quickly binary and shell completion handling

Package: python-quickly-core
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-quickly-common (= ${source:Version})
Recommends: python-launchpadlib (>= 1.9.3),
            bzr
Replaces: quickly (<< 0.4)
Description: build new apps quickly
 Quickly enables for prospective programmers a way to easily build new
 apps or contents based on templates and other systems for helping them
 write their code in a guided manner.
 .
 This package contains the core function of Quickly

Package: python-quickly-common
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Conflicts: python-quickly-core (<< 11.09)
Replaces: quickly (<< 0.4)
Description: build new apps quickly
 Quickly enables for prospective programmers a way to easily build new
 apps or contents based on templates and other systems for helping them
 write their code in a guided manner.
 .
 This package contains the common part needed for Quickly and Quickly extension

Package: quickly-ubuntu-template
Architecture: all
Provides: quickly-template
Depends: ${misc:Depends},
         ${python:Depends},
         cdbs (>= 0.4.43),
         debhelper (>= 6),
         dpkg-dev,
         devscripts,
         python-gtk2,
         glade-gtk2,
         desktopcouch (>= 0.3),
         python-launchpadlib (>= 1.9.3),
         python-launchpad-integration,
         python-lxml,
         dput,
         gedit | editor,
         bzr,
         python-distutils-extra (>= 2.21),
         python-pygame,
         winpdb,
         yelp,
         python-nose
Suggests: python-quickly.widgets
Description: quickly ubuntu application template
 Quickly enables for prospective programmers a way to easily build new
 apps or contents.
 .
 This package provides templates to create easily new projects for
 Ubuntu using glade, pygtk and couchdb or for a CLI. This also includes
 packaging, proper licencing and deploying code.
