## quickly 12.04

=== debian/changelog ===
quickly (12.04-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/fix-extras.patch:
    - fix a regression with latest python-distutils-extra from -proposed.
      Now support both (LP: #1022514)
    - fix Exec= key matching when it has args. (LP: #1021675)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 09 Jul 2012 11:57:20 +0200

quickly (12.04-0ubuntu3) precise-proposed; urgency=low

  * debian/patches/fix-extras.patch:
    - Add libglib2.0-bin to the Build-Depends line when using submitubuntu
      or package --extras.  This is needed for glib-compile-schemas.
      LP: #1018038

 -- Michael Terry <mterry@ubuntu.com>  Thu, 05 Jul 2012 14:35:54 -0400

quickly (12.04-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/fix-extras.patch:
    - Fix 'package --extras' and 'submitubuntu' to create packages suitable
      for the ARB process again (LP: #1003818, LP: #998910, LP: #1002417)
  * debian/patches/no-warn-on-fresh-cli.patch:
    - For ubuntu-cli and ubuntu-flash-game, don't keep warning about
      upgrading the project to use PyGI, even on fresh projects
      (LP: #1007006)
  * debian/patches/fix-flash-template.patch:
    - Fix flash game template to still use gtk2, as flash requires that
      (LP: #1007086)
  * debian/control:
    - Depend on webkit-1.0 and gtk-2.0 for above flash change

 -- Michael Terry <mterry@ubuntu.com>  Thu, 31 May 2012 16:35:33 -0400

quickly (12.04-0ubuntu1) precise; urgency=low

  * New upstream release
    - Drops ubuntu-pygame template, as it uses deprecated desktopcouch.
      Users should try ubuntu-application and embed pygame.
  * debian/control:
    - Drop pygame and desktopcouch as dependencies
  * debian/patches/fix_test_example.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Thu, 19 Apr 2012 10:53:13 -0400

quickly (12.03-0ubuntu2) precise; urgency=low

  * debian/patches/fix_test_example.patch:
    - Fix shipped example test so that 'quickly test' works out of the box.
      LP: #969133

 -- Michael Terry <mterry@ubuntu.com>  Thu, 12 Apr 2012 10:59:45 -0400

quickly (12.03-0ubuntu1) precise; urgency=low

  * New upstream release
    - Tutorial update (LP: #929417, LP: #929420, LP: #929572)
    - Fix crash when creating derived-template projects (LP: #936379)
    - Don't strip comments from glade files (LP: #945808)
  * debian/rules:
    - Move project_root schema file to template directory after
      python-distutils-extra zealously places it in system schema folder.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Mar 2012 20:30:12 -0400

quickly (11.12-0ubuntu2) precise; urgency=low

  * debian/control:
    - Add gtk3 version of glade and gir1.2-* packages as Depends to
      template package.  Keeping gtk2 versions around for old projects
      that haven't been ported yet.  Can drop them in a future Ubuntu
      release.  LP: #941230

 -- Michael Terry <mterry@ubuntu.com>  Tue, 06 Mar 2012 10:23:53 -0500

quickly (11.12-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/patches/fix-cli-upgrade.patch,
    debian/patches/run_new_glade_gtk2.patch:
    - Dropped, included upstream

 -- Michael Terry <mterry@ubuntu.com>  Thu, 22 Dec 2011 12:02:31 -0500
