=== debian/control ===
--- 
+++ 
@@ -62,18 +62,22 @@
          debhelper (>= 6),
          dpkg-dev,
          devscripts,
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
          python-gtk2,
+         glade,
          glade-gtk2,
-         desktopcouch (>= 0.3),
          python-launchpadlib (>= 1.9.3),
+         gir1.2-launchpad-integration-3.0,
          python-launchpad-integration,
          python-lxml,
          dput,
          gedit | editor,
          bzr,
          python-distutils-extra (>= 2.21),
-         python-pygame,
          winpdb,
+         gir1.2-gtk-2.0,
+         gir1.2-webkit-1.0,
          yelp,
          python-nose
 Suggests: python-quickly.widgets
