## quickly 12.08.1

=== debian/changelog ===
quickly (12.08.1-0ubuntu2) quantal; urgency=low

  * removing launchpad-integration bits leftover (was already removed in
    the code)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 25 Sep 2012 18:47:30 +0200

quickly (12.08.1-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add --extras option to 'quickly share' (Vsevolod Velichko)
    - Overwrite quickly-owned files when upgrading to a new Quickly
    - Clean up the packaging for extras to not be as insane

 -- Michael Terry <mterry@ubuntu.com>  Tue, 21 Aug 2012 16:37:02 -0400

quickly (12.08-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Build-Depend on libglib2.0-bin when building for extras (LP: #1022514,
      LP: #1018038)
    - Support Exec desktop keys with arguments to the executable for extras
      (LP: #1021675)
    - Support © symbol in license command
    - Fix appindicator support (LP: #1023618)
    - Add get_current_name() to quickly API

 -- Michael Terry <mterry@ubuntu.com>  Thu, 02 Aug 2012 10:10:09 -0400

quickly (12.05-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix ubuntu-flash-game backend to work (LP: #1007086)
    - For ubuntu-cli and ubuntu-flash-game, don't keep warning about
      upgrading the project to use PyGI, even on fresh projects
      (LP: #1007006)
    - Fix 'package --extras' and 'submitubuntu' to create packages suitable
      for the ARB process again (LP: #1003818, LP: #998910, LP: #1002417)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 31 May 2012 15:25:44 -0400
