=== debian/control ===
--- 
+++ 
@@ -68,16 +68,13 @@
          glade,
          glade-gtk2,
          python-launchpadlib (>= 1.9.3),
-         gir1.2-launchpad-integration-3.0,
-         python-launchpad-integration,
          python-lxml,
          dput,
          gedit | editor,
          bzr,
          python-distutils-extra (>= 2.21),
          winpdb,
-         gir1.2-gtk-2.0,
-         gir1.2-webkit-1.0,
+         gir1.2-webkit-3.0,
          yelp,
          python-nose
 Suggests: python-quickly.widgets
