=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	
	# python-distutils-extra likes to move any schema it finds to system location
	mkdir -p debian/tmp/usr/share/quickly/templates/ubuntu-application/project_root/data/glib-2.0/schemas/
	mv debian/tmp/usr/share/glib-2.0/schemas/net.launchpad.project_name.gschema.xml debian/tmp/usr/share/quickly/templates/ubuntu-application/project_root/data/glib-2.0/schemas/
	rmdir --ignore-fail-on-non-empty debian/tmp/usr/share/glib-2.0/schemas/
