=== debian/watch ===
version=3
http://launchpad.net/quickly/+download .*/quickly-(.+)\.tar\.gz
